List Exposures

Retrieve the exposure signatures found on assets in the project, along with the count of affected assets for each signature.
The list can be filtered by CVE, CVSS score, CWE or severity, or searched with query.

The result is sorted by signature severity in descending order.

If next_cursor is present in the response, it can be used to fetch the next page of results by passing it as cursor.

Path Params
string
required

The ID of the project

Query Params
integer
1 to 1000
Defaults to 100

The number of exposures

^CVE-

Filter for exposure tied to a vulnerability with the provided CVE

0 to 10

Filter for exposures tied to a vulnerability with the provided CVSS score greater or equal

0 to 10

Filter for exposures tied to a vulnerability with the provided CVSS score less or equal

^CWE-

Filter for exposure tied to a vulnerability associated with the provided CWE

ExposureSeverity | null
deprecated

DEPRECATED: Use filter_severity_exact or filter_severity_min instead

enum

Filter for exposures which have the exact provided severity

enum

Filter for exposures which have at least the provided severity

Integer offset for pagination. Pass the value from next_cursor in the previous response to fetch the next page.

length ≤ 100

Free-text search matched against the signature's name and ID. If given in YYYY-MM-DD format, also matches signatures by the date they were added.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json